

//	(C) 2017 R-MIK Sawomir Skrzyski
//	slawomir.skrzynski@ep.com.pl


#ifndef USART1_H_
#define	USART1_H_


//------------------------------------------------------------------//
#if defined( USART1_IRQRX ) && !defined( USART1_RXBUF )
  #define	USART1_RXBUF	16			// ! Potega dwjki
  #warning "Domyslny bufor RX usart1"
#endif
#if defined( USART1_IRQTX ) && !defined( USART1_TXBUF )
  #define	USART1_TXBUF	16			// ! Potega dwjki
  #warning "Domyslny bufor TX usart1"
#endif


#ifdef USART1_IRQRX
  byte volatile Usart1_PtrRxR=0;		// Wskanik na nastpny znak
  byte volatile Usart1_PtrRxW=0;		// Wskanik znaku do zapisania
  #if USART1_BITS==9
	word Usart1_RxBuf[USART1_RXBUF];
  #else
	byte Usart1_RxBuf[USART1_RXBUF];
  #endif
#endif

#ifdef USART1_IRQTX
  byte volatile Usart1_PtrTxR=0;		// Wskanik na nastpny znak
  byte volatile Usart1_PtrTxW=0;		// Wskanik znaku do zapisania
  #if USART1_BITS==9
	word Usart1_TxBuf[USART1_TXBUF];
  #else
	byte Usart1_TxBuf[USART1_TXBUF];
  #endif
#endif


extern void Usart1_Init();
extern void Usart1_Transmit(word c );	// Bez IRQ
extern word Usart1_Receive();			// Bez IRQ
extern char Usart1_Test();
extern void Usart1_Flush();
extern word Usart1_Get();				// z i bez IRQ
extern byte Usart1_Put( word c );		// z i bez IRQ


//------------------------------------------------------------------//
#endif
